Subject: Re: problems with "man" command under cygwin
From: dmitry levandovsky <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 16 May 2003 21:19:53 -0700 (PDT)

Igor,

Thanks for your help. The PAGER variable is not set.
I also ran man -d and here is what says:

Reading config file /etc/man.config
found man directory /usr/share/man
found man directory /usr/X11R6/man
found man directory /usr/local/man
found man directory /usr/kerberos/man
found man directory /usr/man
found manpath map /bin --> /usr/share/man
found manpath map /sbin --> /usr/share/man
found manpath map /usr/bin --> /usr/share/man
found manpath map /usr/sbin --> /usr/share/man
found manpath map /usr/local/bin --> /usr/local/man
found manpath map /usr/local/sbin --> /usr/local/man
found manpath map /usr/X11R6/bin --> /usr/X11R6/man
found manpath map /usr/bin/X11 --> /usr/X11R6/man
found manpath map /usr/bin/mh --> /usr/share/man
found manpath map /usr/kerberos/bin -->
/usr/kerberos/man
found manpath map /usr/kerberos/sbin -->
/usr/kerberos/man

using /usr/bin/less -isrR as pager

path directory /usr/local/bin is in the config file

path directory /usr/bin is in the config file

path directory /bin is in the config file

path directory /cygdrive/c/WINDOWS/system32 is not in
the config file
and we found no man directory nearby

path directory /cygdrive/c/WINDOWS is not in the
config file
and we found no man directory nearby

path directory /cygdrive/c/WINDOWS/System32/Wbem is
not in the config file
and we found no man directory nearby

path directory /cygdrive/c/Program Files/ATI
Technologies/ATI Control Panel is not in the config
file
and we found no man directory nearby

path directory /cygdrive/c/Program Files/Common
Files/Adaptec Shared/System is not in the config file
and we found no man directory nearby

path directory C/Program Files/cygwin/usr/local/bin is
not in the config file
and we found no man directory nearby

path directory /cygdrive/c/Program
Files/cygwin/usr/bin is not in the config file
but there is a man directory nearby
adding /cygdrive/c/Program Files/cygwin/usr/man to
manpath

path directory /cygdrive/c/Program Files/cygwin/bin is
not in the config file
and we found no man directory nearby

adding mandatory man directories

adding /usr/man to manpath
using default preprocessor sequence
found tbl(1) directive

not executing command:
  unsafe

I am still not sure what is happening. 
I get the same result if I run from
cmd (i.e., not cygwin) prompt.

I tried exiting the command shell and even
rebooted the PC, then tried reinstalling the
cygwin. How can the environment still be messed up?

--- Igor Pechtchanski <[email-masked]> wrote:
> On Fri, 16 May 2003, dmitry levandovsky wrote:
> 
> > Hi,
> >
> > I have installed the latest cygwin packages a
> couple
> > of days ago, but have the following strange result
> > when I try to use the "man" command:
> >
> > $man man
> > unsafe: not found
> > Error executing formatting or display command.
> > System command unsafe exited with status 32512.
> > No manual entry for man
> >
> > I get the same result no matter what man page I
> > request.
> > I am running Windows XP and I have istalled sh,
> groff,
> > and less using the latest cygwin setup program.
> >
> > Now, man used to work on my PC just fine, until I
> > tried installing the ghostscript package, then it
> > started to have this problem with man. I tried
> > uninstalling ghostscript, then the "man" package,
> and
> > even all of cygwin, and then installing it back.
> > Still I get the same problem.
> > Does that mean something got messed up in my
> registry?
> > I could edit the registry if I knew what to look
> for.
> >
> > Could someone help please?
> 
> Try running "man" with the "-d" flag and see what
> exact command fails.
> As there is no "unsafe" command, something is
> probably messed up in your
> environment (the only thing that sticks around after
> you uninstall
> Cygwin).  Check the PAGER variable at the very
> least.  AFAIK, neither
> ghostscript nor man write to the registry.
> 	Igor
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL	a.k.a
> JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> Knowledge is an unending adventure at the edge of
> uncertainty.
>   -- Leto II
> 

__________________________________
Do you Yahoo!?
The New Yahoo! Search - Faster. Easier. Bingo.
http://search.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/